#
# spec file for package libgit2-glib
#
# Copyright (c) 2016 SUSE LINUX GmbH, Nuernberg, Germany.
# Copyright (c) 2013 Dominique Leuenberger, Amsterdam, The Netherlands.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           libgit2-glib
Version:        0.24.3
Release:        3.1
Summary:        Glib wrapper library around libgit2
License:        LGPL-2.1+
Group:          System/Libraries
Url:            https://live.gnome.org/Libgit2-glib
Source:         http://download.gnome.org/sources/libgit2-glib/0.24/%{name}-%{version}.tar.xz
# Needed to create the vala bindings
BuildRequires:  vala
BuildRequires:  pkgconfig(gio-2.0) >= 2.44.0
BuildRequires:  pkgconfig(glib-2.0) >= 2.44.0
BuildRequires:  pkgconfig(gobject-2.0) >= 2.44.0
BuildRequires:  pkgconfig(gobject-introspection-1.0) >= 0.10.1
BuildRequires:  pkgconfig(libgit2) >= 0.24.0
BuildRequires:  pkgconfig(libssh2)
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
libgit2-glib is a glib wrapper library around the libgit2 git access library.

%package -n libgit2-glib-1_0-0
Summary:        Glib wrapper library around libgit2
Group:          System/Libraries

%description -n libgit2-glib-1_0-0
libgit2-glib is a glib wrapper library around the libgit2 git access library.

%package -n typelib-1_0-Ggit-1_0
Summary:        Glib wrapper library around libgit2 -- Object introspection
Group:          System/Libraries

%description -n typelib-1_0-Ggit-1_0
libgit2-glib is a glib wrapper library around the libgit2 git access library.

%package devel
Summary:        Glib wrapper library around libgit2 -- Development files
Group:          Development/Languages/C and C++
Requires:       libgit2-glib-1_0-0 = %{version}
Requires:       typelib-1_0-Ggit-1_0 = %{version}

%description devel
libgit2-glib is a glib wrapper library around the libgit2 git access library.

%prep
%setup -q

%build
%configure
make %{?_smp_mflags}

%install
%make_install
find %{buildroot} -type f -name "*.la" -delete -print

%post -n libgit2-glib-1_0-0 -p /sbin/ldconfig

%postun -n libgit2-glib-1_0-0 -p /sbin/ldconfig

%files -n libgit2-glib-1_0-0
%defattr(-,root,root)
%doc ChangeLog README COPYING
%{_libdir}/libgit2-glib-1.0.so.*

%files -n typelib-1_0-Ggit-1_0
%defattr(-,root,root)
%{_libdir}/girepository-1.0/Ggit-1.0.typelib

%files devel
%defattr(-,root,root)
%{_includedir}/libgit2-glib-1.0/
%{_libdir}/libgit2-glib-1.0.so
%{_libdir}/pkgconfig/libgit2-glib-1.0.pc
%{_datadir}/gir-1.0/Ggit-1.0.gir
%dir %{_datadir}/vala/vapi
%{_datadir}/vala/vapi/ggit-1.0.*
%doc %{_datadir}/gtk-doc/html/libgit2-glib-1.0/

%changelog
* Fri Aug 26 2016 dimstar@opensuse.org
- Update to version 0.24.3:
  + Reduce memory allocations during diff generation.
  + Fix ctime in index entry.
* Wed Aug 17 2016 zaitor@opensuse.org
- Update to version 0.24.2:
  + Fix several crashes.
  + Misc bugfixing.
* Mon May  9 2016 sreeves@suse.com
- Add to the SDK. Fate#319349
* Tue Mar 15 2016 dimstar@opensuse.org
- Update to version 0.24.0:
  + Fix api breaks made in libgit2.
  + Misc bugfixing.
* Sat Feb  6 2016 zaitor@opensuse.org
- Update to version 0.23.10:
  + Protected against empty signature.
  + Do not mandatorily require gtkdocize.
* Sun Dec 13 2015 zaitor@opensuse.org
- Update to version 0.23.8:
  + Misc bugfixing.
* Tue Sep 22 2015 dimstar@opensuse.org
- Update to version 0.23.6:
  + Fix corrupted memory on diff.
  + Bind more api.
  + Misc bugfixing.
* Fri Aug  7 2015 zaitor@opensuse.org
- Update to version 0.23.4:
  + Bind more api.
  + Misc bugfixing.
* Tue Aug  4 2015 zaitor@opensuse.org
- Update to version 0.23.2:
  + Add ggit_config_snapshot.
  + Allow to enable debug builds.
  + Misc bugfixing.
* Tue Jul 28 2015 dimstar@opensuse.org
- Update to version 0.23.0:
  + Fix api breaks made in libgit2.
  + Misc bugfixing.
- Add pkgconfig(libssh2) BuildRequires: New dependency.
* Fri May 15 2015 dimstar@opensuse.org
- Update to version 0.22.8:
  + Include passed in cflags for ssh check.
* Wed Apr 15 2015 dimstar@opensuse.org
- Update to version 0.22.6:
  + Add ggit_repository_path_is_ignored.
* Tue Apr  7 2015 zaitor@opensuse.org
- Update to version 0.22.4:
  + Fix crash when cloning.
* Mon Mar 23 2015 dimstar@opensuse.org
- Update to version 0.22.2:
  + Misc bugfixes.
* Tue Jan 27 2015 dimstar@opensuse.org
- Update to version 0.22.0:
  + Fix api breaks made in libgit2.
  + Follow libgit2's version.
  + Misc bugfixing.
* Mon Dec 29 2014 zaitor@opensuse.org
- Update to version 0.0.24:
  + Support Notes.
  + Misc bugfixing.
* Mon Sep 15 2014 zaitor@opensuse.org
- Update to version 0.0.22:
  + More API support.
  + Fixes to build on win32.
* Thu Jul 24 2014 dimstar@opensuse.org
- Update to version 0.0.20:
  + More API support.
  + Added vala bindings.
  + Fixes to build on win32.
* Thu Jul 10 2014 dimstar@opensuse.org
- Update to version 0.0.18:
  + Add checkout API.
  + Add ssh credential schemes.
  + Improve coverage.
  + Cover more of the API.
- Changes from version 0.0.16:
  + Fix important crash.
- Changes from version 0.0.14:
  + Bump libgit2 requirement to 0.21.0.
  + API changes to match libgit2 0.21.0 API.
  + Misc bugfixing.
* Wed Mar  5 2014 dimstar@opensuse.org
- Update to version 0.0.12:
  + Add push progress API.
  + Fix install of pygobject overrides.
  + Bump libgit2 requirement to 0.20.0.
  + Misc bugfixing.
* Sat Jan  4 2014 dimstar@opensuse.org
- Update to version 0.0.10:
  + Bind blaming API.
  + Initial binding of attribute API.
  + Automatic conversion of diff text to UTF-8.
  + Fixes in GgitBlobOutputStream.
* Mon Nov 25 2013 dimstar@opensuse.org
- Update to version 0.0.8:
  + Add ggit_patch_get_hunk.
  + Added ggit_patch_get_delta.
  + Add API to set remote callbacks in clone options.
  + Add _ggit_native_release.
  + Implement GgitRemoteCallbacks.
  + Added coverage tool.
  + Update enums.
  + Rename _head_orphan to _head_unborn.
  + Implemented branch enumerator.
  + Added GgitRemoteHead.
  + Add GgitDiffHunk.
  + Add GgitDiffLine.
  + Update to libgit2 0.20.0 api.
  + Misc bugfixing.
* Mon Jul  8 2013 dimstar@opensuse.org
- Update to version 0.0.6:
  + Rename GgitDiff to GgitDiffList.
  + Bind GgitMergeTreeOptions.
  + Added ggit_diff_patch_to_stream.
  + Added writing blob using output stream.
  + Bind more index API (write_tree, add_bypath, owner).
  + Rename FILEMODE constants to FILE_MODE.
  + Bind create_commit.
  + Bind ggit_message_prettify.
  + Bind get_patch and patch_to_string.
  + Added new status options.
  + Added ggit_index_entry_stat.
  + Added _set API for GgitIndexEntry.
  + Bind tree builder API.
  + Misc bugfixing.
* Thu Jun 27 2013 dimstar@opensuse.org
- Update to version 0.0.4:
  + Update bindings to the latest libgit2 API changes 0.19.0.
  + Rename GgitStatusFlag to GgitStatusOption.
  + Add GgitStatusOptions.
  + Added tree builder API.
  + Bind create_blob_from... API.
  + Misc bugfixing.
* Fri Jun 21 2013 dimstar@opensuse.org
- Initial package, version 0.0.2.
